summaryrefslogtreecommitdiffstats
path: root/init_new_user.sh
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2011-10-23 21:51:36 +0200
committerFlorian Pritz <bluewind@xinu.at>2011-10-23 21:51:36 +0200
commit523b47ba579089de73958e3459b1d12bd4628486 (patch)
tree2c38cdefe65d854088b6c3b04a3e5abea9321cb9 /init_new_user.sh
parent6ad11bc11c499cb83db71f9ec0b2fc7816947ce6 (diff)
downloadbin-523b47ba579089de73958e3459b1d12bd4628486.tar.gz
bin-523b47ba579089de73958e3459b1d12bd4628486.tar.xz
add some scripts
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'init_new_user.sh')
-rw-r--r--init_new_user.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/init_new_user.sh b/init_new_user.sh
new file mode 100644
index 0000000..153ba64
--- /dev/null
+++ b/init_new_user.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+cd $HOME
+mkdir -p git
+
+git clone git://git.server-speed.net/~flo/git/bin.git
+
+cd git
+git clone git://git.server-speed.net/~flo/git/dotfiles.git
+cd $HOME
+
+for i in .zshrc .vimrc .screenrc .screenrc-2 .zprofile .htoprc; do
+ ln -sf git/dotfiles/$i $i
+done
+
+mkdir -p .zsh .vim
+
+touch .zshenv
+echo "setopt no_global_rcs" >> .zshenv